LCMAPS_VOMS.MOD(8)

NAME
lcmaps_voms.mod - VOMS plug-in for LCMAPS

SYNOPSIS
lcmaps_voms.mod [-vomsdir path] [-certdir path]

DESCRIPTION
This plugin forms the link between the VOMS data found in the user grid credential (X.509 certificate) and the lcmaps system. It will retrieve the VOMS data by using the VOMS API. The plugin stores the VOMS data in the LCMAPS process space, where it is accessible by other 'VOMS-aware' plugins, and should, therefore, be evaluated before the other plugins, that actually gather the local credentials based on the VOMS information (e.g. lcmaps_voms_poolaccount.mod(8), lcmaps_voms_poolgroup.mod(8) and lcmaps_voms_localgroup.mod(8)).

OPTIONS

-vomsdir path
    The directory which contains the certificates of the VOMS servers

-certdir path
    The directory which contains the CA certificates.

RETURN VALUES

LCMAPS_MOD_SUCCESS
    Success.

LCMAPS_MOD_FAIL
    Failure.

BUGS
Please report any errors to the Nikhef Grid Middleware Security Team <grid-mw-security-support@nikhef.nl>.

SEE ALSO
lcmaps.db(5), lcmaps(3).

AUTHORS
LCMAPS and the LCMAPS plug-ins were written by the Grid Middleware Security Team <grid-mw-security@nikhef.nl>.